<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/userloginroot"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:gravity="center_vertical"
    android:paddingLeft="70dp"
    android:paddingRight="70dp" >

    <!-- titlebar区域 -->

    <include
        android:id="@+id/dk_head"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        layout="@layout/dk_user_login_header_landscape" />

    <!-- 可滑动区域 -->

    <ScrollView
        android:layout_width="fill_parent"
        android:layout_height="280dp"
        android:layout_below="@id/dk_head"
        android:background="@drawable/bd_account_bg_bottom" >

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="280dp" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="vertical"
                android:paddingBottom="@dimen/sapi_double_padding"
                android:paddingLeft="@dimen/sapi_default_padding"
                android:paddingRight="@dimen/sapi_default_padding"
                android:paddingTop="@dimen/sapi_double_padding" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@drawable/bd_dialog_round_bg"
                    android:orientation="vertical" >

                    <RelativeLayout
                        android:id="@+id/layout_username"
                        android:layout_width="fill_parent"
                        android:layout_height="@dimen/sapi_input_text_height" >

                        <EditText
                            android:id="@+id/text_username"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:background="@null"
                            android:inputType="text"
							android:digits="0123456789abcdefghigklmnopqrstuvwxyzABCDEFGHIGKLMNOPQRSTUVWXYZ"
                            android:paddingLeft="80dp"
                            android:paddingRight="64dp"
                            android:hint="4-14个字母或数字"
                            android:textColorHint="@color/dk_color_999999"
                            android:singleLine="true"
                            android:maxLength="14"
                            android:textColor="@color/dk_color_333333"
                            android:textSize="@dimen/sapi_input_text_size" />

                        <TextView
                            android:id="@+id/label_username"
                            android:layout_width="wrap_content"
                            android:layout_height="fill_parent"
                            android:layout_alignParentLeft="true"
                            android:layout_centerVertical="true"
                            android:gravity="center"
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="@dimen/sapi_double_padding"
                            android:text="@string/dk_register_users"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="@dimen/sapi_input_text_size" />

                        <ImageView
                            android:id="@+id/btn_clear_username"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:contentDescription=""
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="@dimen/sapi_double_padding"
                            android:src="@drawable/dk_icon_clear_input"
                            android:visibility="invisible" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="12dp"
                        android:layout_marginRight="12dp"
                        android:background="@drawable/dk_divide_line" >
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/layout_password"
                        android:layout_width="fill_parent"
                        android:layout_height="@dimen/sapi_input_text_height" >

                        <EditText
                            android:id="@+id/text_password"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:background="@null"
                            android:inputType="text"
                            android:digits="0123456789abcdefghigklmnopqrstuvwxyzABCDEFGHIGKLMNOPQRSTUVWXYZ"
                            android:maxLength="16"
                            android:paddingLeft="80dp"
                            android:paddingRight="64dp"
                            android:hint="6-16个字母或数字"
                            android:textColorHint="@color/dk_color_999999"
                            android:singleLine="true"
                            android:textColor="@color/dk_color_333333"
                            android:textSize="@dimen/sapi_input_text_size" />

                        <TextView
                            android:id="@+id/label_password"
                            android:layout_width="wrap_content"
                            android:layout_height="fill_parent"
                            android:layout_alignParentLeft="true"
                            android:layout_centerVertical="true"
                            android:gravity="center"
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="@dimen/sapi_double_padding"
                            android:text="@string/dk_register_psd"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="@dimen/sapi_input_text_size" />

                        <ImageView
                            android:id="@+id/btn_clear_password"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:contentDescription=""
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="@dimen/sapi_double_padding"
                            android:src="@drawable/dk_icon_clear_input"
                            android:visibility="invisible" />
                    </RelativeLayout>
                </LinearLayout>

                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical" >

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical"
                        android:orientation="horizontal" >

                        <CheckBox
                            android:id="@+id/dk_user_checkbox_register"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:button="@drawable/dk_login_checkbox_selector_2"
                            android:checked="true" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="4dp"
                            android:gravity="center"
                            android:text="@string/dk_register_agreement_hint"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="14sp" />

                        <Button
                            android:id="@+id/dk_btn_agreement_licence"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/dk_transparent"
                            android:singleLine="true"
                            android:text="@string/dk_register_licence"
                            android:textColor="@color/dk_color_2764af"
                            android:textSize="14sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:gravity="center_vertical"
                        android:orientation="horizontal" >

                        <CheckBox
                            android:id="@+id/dk_user_show_passord"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:button="@drawable/dk_login_checkbox_selector_2"
                            android:checked="true" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="4dp"
                            android:gravity="center"
                            android:text="@string/dk_show_passord"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="14sp" />
                    </LinearLayout>
                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/layout_captcha"
                    android:layout_width="fill_parent"
                    android:layout_height="@dimen/sapi_input_text_height"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginTop="@dimen/sapi_default_margin"
                    android:background="@drawable/bd_dialog_round_bg"
                    android:orientation="horizontal"
                    android:visibility="gone" >

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="fill_parent"
                        android:layout_weight="4" >

                        <EditText
                            android:id="@+id/text_captcha"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:background="@null"
                            android:hint="右侧验证码"
                            android:inputType="text"
                            android:maxLength="8"
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="60dp"
                            android:singleLine="true"
                            android:textColor="@color/dk_color_888888"
                            android:textSize="@dimen/sapi_input_text_size" />

                        <ImageView
                            android:id="@+id/btn_clear_captcha"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:contentDescription=""
                            android:paddingLeft="@dimen/sapi_double_padding"
                            android:paddingRight="@dimen/sapi_double_padding"
                            android:src="@drawable/dk_icon_clear_input"
                            android:visibility="invisible" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="fill_parent"
                        android:layout_weight="3"
                        android:orientation="horizontal" >

                        <ImageView
                            android:id="@+id/image_captcha"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_marginBottom="10dp"
                            android:layout_marginTop="10dp"
                            android:layout_toLeftOf="@+id/btn_reload_captcha"
                            android:background="@null"
                            android:contentDescription=""
                            android:paddingBottom="1dp"
                            android:paddingRight="1dp"
                            android:paddingTop="1dp"
                            android:scaleType="fitXY" />

                        <ImageView
                            android:id="@+id/btn_reload_captcha"
                            android:layout_width="60dp"
                            android:layout_height="fill_parent"
                            android:layout_alignParentRight="true"
                            android:contentDescription=""
                            android:scaleType="centerInside"
                            android:src="@drawable/bd_selector_btn_refreshcode" />
                    </RelativeLayout>
                </LinearLayout>

                <Button
                    android:id="@+id/btn_submit"
                    android:layout_width="fill_parent"
                    android:layout_height="@dimen/sapi_btn_height"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginTop="@dimen/sapi_triple_margin"
                    android:background="@drawable/dk_user_login_blue_selector"
                    android:text="@string/dk_register_text"
                    android:textColor="@color/dk_color_ffffff"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/btn_agreement"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/sapi_default_margin"
                    android:gravity="center_vertical"
                    android:textColor="@color/dk_color_333333"
                    android:textSize="16sp"
                    android:visibility="gone" />
            </LinearLayout>
        </RelativeLayout>
    </ScrollView>

    <include
        android:id="@+id/dk_custom_bottom"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="8dp"
        android:layout_marginTop="18dp"
        layout="@layout/dk_user_bottom_logo_2_portrait"
        android:visibility="gone" />

</RelativeLayout>